App::Cme::Command::check(3pm)

NAME
App::Cme::Command::check - Check the configuration of an application

VERSION
version 1.049

SYNOPSIS
 # standard usage
 cme check popcon

 # read data from arbitrary file (with Config::Model::Dpkg)
 cme check dpkg-copyright path/to/file

DESCRIPTION
Checks the content of the configuration file of an application. Prints warnings and errors on STDOUT.

Example:

 cme check fstab

Some applications allows one to override the default configuration file. For instance, with Debian copyright model, you can run cme on a different file:

  cme check dpkg-copyright foobar

or directly check copyright data on STDIN:

  curl http://metadata.ftp-master.debian.org/changelogs/main/f/frozen-bubble/unstable_copyright \
  | cme check dpkg-copyright -

Common options
See "Global Options" in cme.

options

-strict
    When set, cme exits 1 if warnings are found. By default, "cme" exits 0 when warnings are found.

EXIT CODE
cme exits 0 when no errors are found. Exit 1 otherwise.

If "-strict" option is set, cme exits 1 when warnings are found.

SEE ALSO
cme

AUTHOR
Dominique Dumont

COPYRIGHT AND LICENSE
This software is Copyright (c) 2014-2022 by Dominique Dumont <ddumont@cpan.org>.

This is free software, licensed under:

  The GNU Lesser General Public License, Version 2.1, February 1999